#### BIN

#### Synopsis

    HELP:   Floating point number in binary format
    TYPE:   OBJECT
    SYNTAX: BIN(TYPE=SYSTEM,ENDIAN=SYSTEM/BIG/LITTLE/LOCAL)

#### Description

Reads a binary representation of a floating point number. The result is an FL5-internal neutral real number representation which can be converted to any of the supported target real number representations by a corresponding write converter.

This converter supports the most common binary number sizes: 32 and 64 bit. Hence, the input to this converter must be either 4 or 8 bytes long. The binary representation depends on the system, e.g. IEEE 754 on x86, hexadecimal floating-point on IBM mainframe. Floating point numbers are always signed.

With the ENDIAN parameter, the endianness (byte order) of the binary number can be specified. By default, the system's endianness is assumed.

#### Arguments

- `NUMBER: TYPE=SYSTEM - Type of floating point format [SYSTEM]`
  - `SYSTEM - Floating-point representation of the system's architecture`
- `NUMBER: ENDIAN=SYSTEM/BIG/LITTLE/LOCAL - Byte order of the floating point number [SYSTEM]`
  - `SYSTEM - Byte order of the default logical system`
  - `BIG - Big endian byte order`
  - `LITTLE - Little endian byte order`
  - `LOCAL - Byte order of the real physical system`